Create a bill

Create a new bill.

See Bills in the Guides section for more information, sample requests, and responses.

Body Params
string
required
length ≥ 1

BILL-generated ID of the vendor. The value begins with 009.

string
length ≤ 4000

Bill description

date
required

Bill due date. The value is in the yyyy-MM-dd format.

billLineItems
array of objects
required
length ≥ 1

Bill line items information

billLineItems*
number

Bill line item amount. For a bill in an international currency (not USD), this value is in the local currency.

If you set amount, quantity, and price, BILL uses the amount value as the bill line item total amount.

number

Bill line item unit quantity

number

Bill line item unit price. For a bill in an international currency (not USD), this value is in the local currency.

string
length ≤ 4000

Bill line item description

classifications
object

General ledger classifications information for the bill line item

invoice
object
required

Invoice information

string

BILL-generated ID of the chart of accounts for the bill payment. The value begins with 0ca.

classifications
object

General ledger classifications information for the bill

vendorCredits
array of objects

Vendor credits applied to the bill

vendorCredits
string

Purchase order number linked with the bill

boolean

Set as true for BILL to add approvals information in the response.

When you have approval policies set up for bills and a bill matches a policy, you see an additional approvers array of objects in the response. The array shows the list of individual users and/or user groups assigned as bill approvers. In addition, the array provides information about the status of the bill in the current approval flow.

Note: When you set billApprovals as true, you must set the field as true if you want to update the bill (PATCH /v3/bills/{billId}) or replace the bill (PUT /v3/bills/{billId}).

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json